/*
	$Id: mod_keyword.c,v 1.4 2011/04/18 09:45:59 alex Exp $
	mod_keyword.c---
*/

#ifndef	lint
static char *rcsid __attribute__((unused)) = "$Id: mod_keyword.c,v 1.4 2011/04/18 09:45:59 alex Exp $";
#endif

#include	<stdio.h>
#include	<stdlib.h>
#include	<stdarg.h>
#include	<unistd.h>
#include	<sys/types.h>
#include	<ctype.h>
#include	<string.h>
#include	"edb/edb.h"
#include	"edb/html.h"
#include	"edb/publish.h"

static
int
edb_book_print_keyword(EdbPrint ep, EdbTupleInfo tuple)
{
	register Doc	doc = ep->doc;
	int	lang = EpLang(ep);
	int	status = EP_STATUS_NORMAL;

	edb_print_push(ep);
	if(EpLang(ep)==EP_LANG_Auto) EpLang(ep) = EP_LANG_Japanese;
	edb_print_tuple_prefix(ep, tuple);

	edb_print_push(ep);
	ep->ct->tcd_mode |= EP_TCD_MODE_BOLD;
	status = edb_print_tuple_named_column(ep, tuple, NULL, "", "", "@.word", NULL, ", ", "", NULL, EP_ALERT);
	edb_print_pop(ep);

	if(lang!=EP_LANG_English) {
		EpLang(ep) = EP_LANG_English;
		status = edb_print_tuple_named_column(ep, tuple, NULL, " (", "", "@.word", NULL, ", ", ")", NULL, EP_ALERT);
	}

	edb_print_tuple_postfix(ep, tuple);
	edb_print_pop(ep);

	return status;
}

static struct EDB_PRINT_MODULE_INFO module_info = {
/* xmlname */	EDB_TABLE_Keyword_XN,
/* language */	NULL,
/* std */	edb_book_print_keyword,
/* xml */	NULL,
/* csv */	NULL,
/* item */	NULL,
/* cap */	edb_book_print_keyword
};
DECLARE_PRINT_MODULE(keyword, module_info)


